Magic links generator

Generates a magic link for a passwordless authentication.
To create a magic link for a company admin, you need to provide the user_id parameter.
To create a magic link for an employee, you need to provide the employment_id parameter.

Scopes

CategoryRead only ScopeWrite only Scope (read access implicit)
Manage company resources (company_admin)-Create magic links (magic_link:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Magic links generator body

string
length ≤ 2000

The path to which the user will be redirected to after login. This field has a max length of 2000 characters.

If not specified, /dashboard will be used by default.

Must begin with a forward slash (/) and, at least one path segment is required (/dashboard e.g.).
An ending forward slash (/) is not allowed and path segments can only include alphanumeric characters, underscore (_) and hyphen (-).

An optional query string can be specified too. If present, the query string must start with a question mark (?)
and must include at least one key value pair. Both, keys and values, can only include
alphanumeric characters, underscore (_), hyphen (-) or percent encoded values such as %20 (space character).
Additional key value pairs are allowed using ampersand (&).

Query keys require at least one alphanumeric, underscore (_), hyphen (-) or valid percent encoded.
Query values are optional, the actual value may be empty and the equals sign (=) may be missing too.

Some Valid examples for path:

  • o /dashboard
  • o /dashboard/people/new/full_time/663e0b79-c893-45ff-a1b2-f6dcabc098b5
  • o /dashboard/people/hiring?filters%5B0%5D%5Bid%5D=status&filters%5B0%5D%5Bvalue%5D=active
  • o /dashboard?key=value&foo=bar

Some Invalid examples for path:

  • x missing_forward_slash
  • x /invalid//path
  • x //some
  • x /?key=value
  • x /some/i.n:valid*
  • x /invalid/end/slash/
  • x /some?malformed_percent_encoded_key%1=value
uuid
required

Identifier of the employment being terminated.

Responses

Callback
Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json